php-doctrine-persistence (3.4.0-1) unstable; urgency=medium

  [ Grégoire Paris ]
  * Implement isUninitializedObject() in ObjectManagerDecorator
  * Deprecate static reflection service

  [ David Prévot ]
  * Track v3 for now (Trixie?)

 -- David Prévot <taffit@debian.org>  Sat, 02 Nov 2024 18:06:48 +0100

php-doctrine-persistence (3.3.3-1) unstable; urgency=medium

  [ Grégoire Paris ]
  * Handle the right zero-value (#362)
  * Relax type declaration
  * Make types compatible with ORM/ODM drivers

  [ Samaël Tomas ]
  * fix: Failing to retrieve reflection property on enum

  [ Alexander M. Turek ]
  * Remove composer/package-versions-deprecated (#366)
  * Make data providers static (#367)

  [ David Prévot ]
  * Drop patch applied upstream

 -- David Prévot <taffit@debian.org>  Sat, 06 Jul 2024 13:14:20 +0200

php-doctrine-persistence (3.3.2-3) unstable; urgency=medium

  * Make provider functions static (PHPUnit 11 Fix) (Closes: #1070537)
  * Update Standards-Version to 4.7.0

 -- David Prévot <taffit@debian.org>  Sun, 19 May 2024 18:51:45 +0200

php-doctrine-persistence (3.3.2-2) unstable; urgency=medium

  * Source-only upload.

 -- David Prévot <taffit@debian.org>  Sun, 17 Mar 2024 11:10:21 +0100

php-doctrine-persistence (3.3.2-1) unstable; urgency=medium

  [ Viacheslav Yepancha ]
  * add proxy methods to EnumReflectionProperty

 -- David Prévot <taffit@debian.org>  Thu, 14 Mar 2024 14:03:40 +0100

php-doctrine-persistence (3.3.1-1) unstable; urgency=medium

  [ Nicolas Grekas ]
  * Add ObjectManager::isUninitializedObject()

  [ Grégoire Paris ]
  * Add support for enum arguments to setValue()
  * Add missing proxy methods

  [ David Prévot ]
  * Force system dependencies loading

 -- David Prévot <taffit@debian.org>  Sun, 03 Mar 2024 10:12:48 +0100

php-doctrine-persistence (3.2.0-2) unstable; urgency=medium

  * Upload to unstable now that bookworm has been released
  * Drop versioned build-dependencies

 -- David Prévot <taffit@debian.org>  Mon, 01 Jan 2024 10:36:20 +0100

php-doctrine-persistence (3.2.0-1) experimental; urgency=medium

  * Upload to experimental during the freeze

  [ Lars Strojny ]
  * Support array of enums

 -- David Prévot <taffit@debian.org>  Sat, 20 May 2023 12:01:24 +0200

php-doctrine-persistence (3.1.4-1) unstable; urgency=medium

  [ Nicolas Grekas ]
  * Fix trimming leading backslash in RuntimeReflectionProperty

 -- David Prévot <taffit@debian.org>  Fri, 03 Feb 2023 13:48:54 +0100

php-doctrine-persistence (3.1.3-1) unstable; urgency=medium

  [ Matthias Pigulla ]
  * Improve the ACMF::doLoadMetadata docblock

 -- David Prévot <taffit@debian.org>  Fri, 20 Jan 2023 13:13:33 +0100

php-doctrine-persistence (3.1.2-1) unstable; urgency=medium

  [ Alexander M. Turek ]
  * Remove doctrine/annotations dependency (#320)

  [ David Prévot ]
  * Drop php-doctrine-annotations build-dependency
  * Update Standards-Version to 4.6.2

 -- David Prévot <taffit@debian.org>  Fri, 23 Dec 2022 07:15:04 +0100

php-doctrine-persistence (3.1.1-1) unstable; urgency=medium

  [ Alexander M. Turek ]
  * Add type to ColocatedMappingDriver::isTransient() (#318)

 -- David Prévot <taffit@debian.org>  Thu, 15 Dec 2022 06:32:22 +0100

php-doctrine-persistence (3.1.0-1) unstable; urgency=medium

  [ Nicolas Grekas ]
  * Add Proxy::__setInitialized() and RuntimeReflectionProperty (#307)

 -- David Prévot <taffit@debian.org>  Mon, 21 Nov 2022 06:39:24 +0100

php-doctrine-persistence (3.0.4-1) unstable; urgency=medium

  [ Ondřej Mirtes ]
  * Identifier is a list of strings

  [ Alexander M. Turek ]
  * Allow doctrine/event-manager 2 (#310)

  [ David Prévot ]
  * Mark package as Multi-Arch: foreign
  * Drop php-doctrine-collections build-dependency

 -- David Prévot <taffit@debian.org>  Sat, 15 Oct 2022 13:05:10 +0200

php-doctrine-persistence (3.0.3-1) unstable; urgency=medium

  [ Adrien Foulon ]
  * fix: Normalize class names #300 (#301)

  [ Alexander M. Turek ]
  * Drop doctrine/collections dependency (#302)

  [ David Prévot ]
  * Drop now usless d/pkg-php-tools-autoloaders file

 -- David Prévot <taffit@debian.org>  Mon, 08 Aug 2022 08:18:58 +0200

php-doctrine-persistence (3.0.2-2) unstable; urgency=medium

  * Upload to unstable

 -- David Prévot <taffit@debian.org>  Sun, 19 Jun 2022 22:06:43 +0200

php-doctrine-persistence (3.0.2-1) experimental; urgency=medium

  * Upload new major to experimental

  [ Michael Moravec ]
  * Rename namespace from Doctrine\Common\Persistence to Doctrine\Persistence

  [ Grégoire Paris ]
  * Document 3.0.0 BC breaks

  [ Alexander M. Turek ]
  * Remove support for doctrine/cache (#220)
  * Remove doctrine/deprecations (#278)

  [ David Prévot ]
  * Revert "Track version 2 for now (Bookworm?)"
  * Drop now useless build-dependencies

 -- David Prévot <taffit@debian.org>  Sat, 18 Jun 2022 12:59:53 +0200

php-doctrine-persistence (2.5.3-2) unstable; urgency=medium

  * Update Standards-Version to 4.6.1

 -- David Prévot <taffit@debian.org>  Sat, 28 May 2022 14:33:39 +0200

php-doctrine-persistence (2.5.3-1) unstable; urgency=medium

  [ Alexander M. Turek ]
  * Allow doctrine/deprecations 1.0 (#289)

  [ David Prévot ]
  * Track version 2 for now (Bookworm?)
  * Adapt packaging to new upstream layout

 -- David Prévot <taffit@debian.org>  Fri, 27 May 2022 17:45:45 +0200

php-doctrine-persistence (2.3.0-2) unstable; urgency=medium

  * Install php-doctrine-annotations for CI

 -- David Prévot <taffit@debian.org>  Wed, 12 Jan 2022 09:21:14 -0400

php-doctrine-persistence (2.3.0-1) unstable; urgency=medium

  [ Alexander M. Turek ]
  * Allow symfony/cache 6 (#221)

  [ Grégoire Paris ]
  * Mark doctrine/annotations dependency as optional

  [ David Prévot ]
  * Install recent upgrade notes
  * Drop Breaks
  * Require doctrine/annotations for tests

 -- David Prévot <taffit@debian.org>  Mon, 10 Jan 2022 10:55:36 -0400

php-doctrine-persistence (2.2.3-2) unstable; urgency=medium

  * Breaks php-doctrine-orm (<< 2.10) for CI

 -- David Prévot <taffit@debian.org>  Mon, 22 Nov 2021 07:39:08 -0400

php-doctrine-persistence (2.2.3-1) unstable; urgency=medium

  [ Grégoire Paris ]
  * Use doctrine/deprecations over plain trigger_error

  [ Andreas Braun ]
  * Accept all major versions of psr/cache
  * Use PSR-6 compatibility classes from doctrine/cache (#172)

  [ David Prévot ]
  * Simplify gbp import-orig (and check signature)
  * Install dh-sequence-* instead of using dh --with
  * New build-dependencies:
    - php-doctrine-deprecations
    - php-psr-cache
    - php-symfony-cache
  * Generate phpabtpl at build time
  * Update standards version to 4.6.0, no changes needed.

 -- David Prévot <taffit@debian.org>  Sat, 30 Oct 2021 16:13:07 -0400

php-doctrine-persistence (2.1.0-2) unstable; urgency=medium

  * Upload to unstable in sync with php-doctrine-common 3

 -- David Prévot <taffit@debian.org>  Thu, 10 Dec 2020 07:51:16 -0400

php-doctrine-persistence (2.1.0-1) experimental; urgency=medium

  [ Grégoire Paris ]
  * Allow PHP 8
  * Allow PHPUnit 8 or 9

  [ David Prévot ]
  * Drop compatibility with pre-1.3 version
  * Rename main branch to debian/latest (DEP-14)
  * Set Rules-Requires-Root: no.
  * Update watch file format version to 4.
  * Update Standards-Version to 4.5.1
  * Drop php-doctrine-reflection dependency
  * Use php-doctrine-common for testsuite

 -- David Prévot <taffit@debian.org>  Mon, 07 Dec 2020 19:23:29 -0400

php-doctrine-persistence (2.0.0-1) experimental; urgency=medium

  * Upload major version bump to experimental

  [ Grégoire Paris ]
  * Drop BC layer

  [ David Prévot ]
  * Use debhelper-compat 13
  * Simplify override_dh_auto_test

 -- David Prévot <taffit@debian.org>  Sat, 30 May 2020 12:11:33 -1000

php-doctrine-persistence (1.3.7-1) unstable; urgency=medium

  [ Benjamin Eberlei ]
  * Bump dependency to doctrine/reflection to v1.2

 -- David Prévot <taffit@debian.org>  Sat, 21 Mar 2020 11:02:12 -1000

php-doctrine-persistence (1.3.6-1) unstable; urgency=medium

  [ Benjamin Eberlei ]
  * Add further check if TypedNoDefaultReflectionProperty is needed based on
    PHP version.

  [ David Prévot ]
  * Update Standards-Version to 4.5.0

 -- David Prévot <taffit@debian.org>  Sun, 26 Jan 2020 17:56:09 -1000

php-doctrine-persistence (1.3.4-1) unstable; urgency=medium

  [ Grégoire Paris ]
  * Temporarily remove deprecations about ns move

 -- David Prévot <taffit@debian.org>  Sat, 11 Jan 2020 03:07:08 +1300

php-doctrine-persistence (1.3.3-2) unstable; urgency=medium

  * Upload to unstable since symfony 4.4 depend on it
  * Set upstream metadata fields: Bug-Submit.

 -- David Prévot <taffit@debian.org>  Wed, 25 Dec 2019 08:07:12 +1100

php-doctrine-persistence (1.3.3-1) experimental; urgency=medium

  * Upload to experimental for now because the depecration notices would make
    tests fail in other packages (and thus make them FTBFS).

  [ Andreas Braun ]
  * Remove obsolete test bootstrap file

  [ Grégoire Paris ]
  * Move everything to a new Persistence subnamespace

  [ David Prévot ]
  * Update gbp import-ref usage
  * Adapt autoload.php build to new layout
  * Adapt testsuite calls
  * Set upstream metadata fields: Bug-Database, Repository, Repository-Browse.

 -- David Prévot <taffit@debian.org>  Fri, 13 Dec 2019 16:58:50 -1000

php-doctrine-persistence (1.2.0-1) unstable; urgency=medium

  [ Jonathan H. Wage ]
  * Deprecate ObjectManager::merge() and ObjectManager::detach()
  * Deprecate PersistentObject class.

  [ David Prévot ]
  * debian/upstream/metadata:
    + Set upstream metadata fields: Repository.
    + Remove obsolete fields Name, Contact from debian/upstream/metadata.
  * debian/control:
    + Drop versioned dependency satisfied in (old)stable
    + Update standards version to 4.4.1, no changes needed.
  * debian/docs: Install upgrade notes

 -- David Prévot <taffit@debian.org>  Mon, 11 Nov 2019 18:09:38 -1000

php-doctrine-persistence (1.1.1-2) unstable; urgency=medium

  * Upload to unstable now that buster has been released
  * Compatibility with recent PHPUnit (8)
  * Update standards version, no changes needed.
  * Set upstream metadata fields: Contact, Name.

 -- David Prévot <taffit@debian.org>  Sun, 11 Aug 2019 18:27:51 -1000

php-doctrine-persistence (1.1.1-1) experimental; urgency=medium

  * Upload to experimental during the freeze
  * Document gbp import-ref usage
  * Provide upstream documentation
  * Add d/clean
  * Run tests
  * Use debhelper-compat 12
  * Update Standards-Version to 4.3.0

 -- David Prévot <taffit@debian.org>  Mon, 06 May 2019 13:54:26 -1000

php-doctrine-persistence (1.1.0-2) unstable; urgency=medium

  * Actually load NotifyPropertyChanged and PropertyChangedListener
    Thanks to Paul Gevers <elbrus@debian.org> (Closes: #914735, #914736)

 -- David Prévot <taffit@debian.org>  Mon, 26 Nov 2018 10:55:37 -1000

php-doctrine-persistence (1.1.0-1) unstable; urgency=medium

  [ Willem Stuursma-Ruwen ]
  * Don't ship docs

  [ Michael Moravec ]
  * Preparing 1.1.0 release

  [ Olivier Laviale ]
  * Add NotifyPropertyChanged, PropertyChangedListener

  [ David Prévot ]
  * Drop documentation removed upstream
  * Update description
  * Use debhelper-compat 11

 -- David Prévot <taffit@debian.org>  Fri, 23 Nov 2018 07:17:06 -1000

php-doctrine-persistence (1.0.1-1) unstable; urgency=medium

  * Update Standards-Version to 4.2.1

 -- David Prévot <taffit@debian.org>  Sun, 26 Aug 2018 22:52:04 -1000

php-doctrine-persistence (1.0.0-1) unstable; urgency=medium

  * Initial release
  * New php-doctrine-common dependency

 -- David Prévot <taffit@debian.org>  Tue, 17 Jul 2018 10:06:48 +0800
